Channels
Preview the impact of activating a channel profile draft
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthchannelId*stringLength
1 <= lengthprofileVersionId*stringLength
1 <= lengthResponse for status 200
application/json- response
assessment*curl -X POST 'https://postbot.example/api/projects/string/channels/string/profile-drafts/string/preview'Example Response
{
"assessment": {
"currentProfileVersion": 1,
"proposedProfileVersion": 1,
"changes": [
{
"kind": "schema",
"path": "string",
"code": "string",
"message": "string"
}
],
"workingDrafts": [
{
"id": "string",
"kind": "working_draft",
"state": "compatible",
"issues": [
{
"path": "string",
"code": "string",
"message": "string",
"severity": "error",
"source": "schema"
}
]
}
],
"pendingTargets": [
{
"id": "string",
"kind": "working_draft",
"state": "compatible",
"issues": [
{
"path": "string",
"code": "string",
"message": "string",
"severity": "error",
"source": "schema"
}
]
}
],
"hasReviewRequired": true
}
}